%define base_name       fileupload
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define version         1.0
%define release         3jpp_1fc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Jakarta Commons Fileupload Package
License:        Apache Software License
Group:          Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Epoch:          1
Source0:        http://www.apache.org/dist/jakarta/commons/fileupload/source/commons-fileupload-1.0-src.tar.gz
Patch0:         %{name}-crosslink.patch
Patch1:         %{name}-servletapi5.patch
URL:            http://jakarta.apache.org/commons/fileupload/
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  servletapi5
BuildRequires:  servletapi5-javadoc
Requires:       servletapi5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# RHEL3 and FC2
Obsoletes:      %{short_name} <= 0:1.0

%description
The javax.servlet package lacks support for rfc 1867, html file
upload.  This package provides a simple to use api for working with
such data.  The scope of this package is to create a package of Java
utility classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{short_name}-%{version}
%patch0 -p0
%patch1 -p0

# -----------------------------------------------------------------------------

%build
export CLASSPATH="$(build-classpath servletapi5 junit \
jakarta-commons-beanutils):$PWD/target/classes:$PWD/target/test-classes"

ant \
  -Dbuild.sysclasspath=only \
  -Dfinal.name=%{name}-%{version} \
  -Dservletapi.javadoc=%{_javadocdir}/servletapi5 \
  dist

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Thu Jan 20 2005 Gary Benson <gbenson@redhat.com> - 1:1.0-3jpp_1fc
- Build into Fedora.

* Fri Oct 22 2004 Fernando Nasser <fnasser@redhat.com> 1:1.0-3jpp_1rh
- Merge with upstream version

* Fri Oct 22 2004 Fernando Nasser <fnasser@redhat.com> - 1:1.0-3jpp
- Patch to build with servletapi5
- Add missing dependency on ant-junit

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1.0-2jpp
- Rebuild with ant-1.6.2

* Tue Jul 27 2004 Fernando Nasser <fnasser@redhat.com> 1:1.0-1jpp_4rh
- Fixes to build with servletapi5

* Fri Jul 18 2004 Fernando Nasser <fnasser@redhat.com> 1:1.0-1jpp_3rh
- Update dependency on servletapi

* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 1:1.0-1jpp_2rh
- RH vacuuming part II

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 1:1.0-1jpp_1rh
- RH vacuuming

* Sat Jun 28 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-1jpp
- Update to 1.0.
- Add Epochs to dependencies.
- Nuke beanutils dependency.
- Versionless javadoc dir symlinks.

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 1:1.0-0.beta1.4jpp
- for jpackage-utils 1.5

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.3jpp
- rebuild with correct ant (avoid corrupted archive)

* Fri Mar 07 2003 Henri Gomez <hgomez@users.sourceforge.net> - 1:1.0-0.beta1.2jpp
- replace servlet23 requirement by servlet4api

* Wed Feb 26 2003 Ville Skytt <ville.skytta at iki.fi> - 1:1.0-0.beta1.1jpp
- Update to 1.0 beta 1 (no code changes from cvs20030115).
- Fix requirements.

* Wed Jan 15 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 (cvs 20030115)
- first jPackage release
